import 'package:flutter/cupertino.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:url_launcher/url_launcher.dart';

import 'DataBase.dart';
import 'Game.dart';
import 'Manga.dart';

Widget getHomeList(){
  return  ListView(
      padding: const EdgeInsets.all(2),
      physics: new NeverScrollableScrollPhysics(),
      children: <Widget>[
        Container(
          height: 70,
          child: Text('Accueil',style: titleStyle,textAlign: TextAlign.center),
        ),
        Container(
          height: 190,
          padding: const EdgeInsets.fromLTRB(6, 0, 6, 0),
          child: Text("Cette application est le fruit d'un TP réalisé dans le cadre de ma formation d'ingénieur à l'IMT.\n \nLe but était de créer une application mobile de gestion de média pour s'entrainer à utiliser différents Widgets.\n\nOn retrouve donc une liste de jeux vidéos et une de mangas, une page de favoris et une page d'information technique."
            , style: homeStyle, textAlign: TextAlign.justify,),
        ),
        Container(
            height: 280,
            child: Align(alignment: Alignment.topCenter,child: Image.network('https://i.kym-cdn.com/photos/images/newsfeed/001/739/593/45d.jpg'),
            )),
      ]
  );
}

Widget getFavList(DataBase dataBase){
  return ListView.builder(
    physics: ScrollPhysics(),
    padding: const EdgeInsets.all(8),
    itemCount: dataBase.getAll().length+1,
    itemBuilder: (BuildContext context, int index) {
      if(index==0) return Container(
        height: 60,
        child: Text('Mes Favoris',style: titleStyle,textAlign: TextAlign.center),
      );
      else if(dataBase.getIsSaved(dataBase.getAll()[index-1])) return Container(
        height: 180,
        child: InkWell( onTap: ()   {
          if(dataBase.getAll()[index-1] is Manga)
            Navigator.push(context, MaterialPageRoute(builder: (context) => DetailMangaScreen(manga: dataBase.getAll()[index-1])),);
          else  Navigator.push(context, MaterialPageRoute (builder: (context) => DetailGameScreen(game: dataBase.getAll()[index-1])),);
        },
          child: Center(child: dataBase.getAllViews()[index-1]),),
      );else if(index==1 && dataBase.IsNoneSaved(dataBase.getAll())) return Container(
        height: 500,
        child: Center(child: Text("Aucun favoris" ,style: optionStyle,)),
      );
      else return Container(
          height: 0,
          child: Text("Empty"),
        );
    },
  );
}

Widget getInfoList(){
  return ListView(
      physics: new NeverScrollableScrollPhysics(),
      children: <Widget>[
        Container(
          height: 70,
          child: Text('Informations',style: titleStyle,textAlign: TextAlign.center),
        ),
        Container(
          height: 240,
          padding: const EdgeInsets.all(8),
          child: RichText(text: TextSpan(children: <TextSpan>[
            TextSpan(text: "Développeur: ", style: boldTitleStyle,),
            TextSpan(text: "Benjamin LEROUX\n\n", style: classicTitleStyle,),
            TextSpan(text: "Dates de développement: ", style: boldTitleStyle,),
            TextSpan(text: "Février 2021\n\n", style: classicTitleStyle,),
            TextSpan(text: "Language: ", style: boldTitleStyle,),
            TextSpan(text: "Dart\n\n", style: classicTitleStyle,),
            TextSpan(text: "IDE: ", style: boldTitleStyle,),
            TextSpan(text: "Android Studio\n\n", style: classicTitleStyle,),
            TextSpan(text: "Plateformes: ", style: boldTitleStyle,),
            TextSpan(text: "Android - iOS\n\n", style: classicTitleStyle,),
            TextSpan(text: "Git: ", style: boldTitleStyle,),
            TextSpan(text: 'gvipers.imt-lille-douai.fr/benjamin.leroux', style: new TextStyle(color: Colors.blue, fontSize: 16),recognizer: new TapGestureRecognizer()
              ..onTap = () { launch('https://gvipers.imt-lille-douai.fr/benjamin.leroux/mediateque');
              },
            ),
          ],
          ),
          ),
        ),
        Container(
          height: 280,
          child: Align(alignment: Alignment.topCenter,child: Image.network('https://images.radio-canada.ca/q_auto,w_1250/v1/ici-info/16x9/hide-the-pain-harold-meme.jpg')),
        ),]
  );
}